Index: lib/oauth2.c
===================================================================
--- lib/oauth2.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/oauth2.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -28,12 +28,12 @@
    use JSON. Wait, no, Facebook's version doesn't use JSON. For some of its
    responses.
-   
+
    Apparently too many people were too retarded to comprehend the elementary
    bits of crypto in OAuth 1.0a (took me one afternoon to implement) so
    the standard was replaced with what comes down to a complicated scheme
    around what's really just application-specific passwords.
-   
+
    And then a bunch of mostly incompatible implementations. Great work, guys.
-   
+
    http://hueniverse.com/2012/07/oauth-2-0-and-the-road-to-hell/ */
 
@@ -46,25 +46,24 @@
 #include "url.h"
 
-char *oauth2_url( const struct oauth2_service *sp )
+char *oauth2_url(const struct oauth2_service *sp)
 {
-	return g_strconcat( sp->auth_url,
-	                    "?scope=", sp->scope,
-	                    "&response_type=code"
-	                    "&redirect_uri=", sp->redirect_url, 
-	                    "&client_id=", sp->consumer_key,
-	                    NULL );
+	return g_strconcat(sp->auth_url,
+	                   "?scope=", sp->scope,
+	                   "&response_type=code"
+	                   "&redirect_uri=", sp->redirect_url,
+	                   "&client_id=", sp->consumer_key,
+	                   NULL);
 }
 
-struct oauth2_access_token_data
-{
+struct oauth2_access_token_data {
 	oauth2_token_callback func;
 	gpointer data;
 };
 
-static void oauth2_access_token_done( struct http_request *req );
+static void oauth2_access_token_done(struct http_request *req);
 
-int oauth2_access_token( const struct oauth2_service *sp,
-                         const char *auth_type, const char *auth,
-                         oauth2_token_callback func, gpointer data )
+int oauth2_access_token(const struct oauth2_service *sp,
+                        const char *auth_type, const char *auth,
+                        oauth2_token_callback func, gpointer data)
 {
 	GSList *args = NULL;
@@ -73,122 +72,121 @@
 	struct http_request *req;
 	struct oauth2_access_token_data *cb_data;
-	
-	if( !url_set( &url_p, sp->token_url ) )
+
+	if (!url_set(&url_p, sp->token_url)) {
 		return 0;
-	
-	oauth_params_add( &args, "client_id", sp->consumer_key );
-	oauth_params_add( &args, "client_secret", sp->consumer_secret );
-	oauth_params_add( &args, "grant_type", auth_type );
-	if( strcmp( auth_type, OAUTH2_AUTH_CODE ) == 0 )
-	{
-		oauth_params_add( &args, "redirect_uri", sp->redirect_url );
-		oauth_params_add( &args, "code", auth );
 	}
-	else
-	{
-		oauth_params_add( &args, "refresh_token", auth );
+
+	oauth_params_add(&args, "client_id", sp->consumer_key);
+	oauth_params_add(&args, "client_secret", sp->consumer_secret);
+	oauth_params_add(&args, "grant_type", auth_type);
+	if (strcmp(auth_type, OAUTH2_AUTH_CODE) == 0) {
+		oauth_params_add(&args, "redirect_uri", sp->redirect_url);
+		oauth_params_add(&args, "code", auth);
+	} else {
+		oauth_params_add(&args, "refresh_token", auth);
 	}
-	args_s = oauth_params_string( args );
-	oauth_params_free( &args );
-	
-	s = g_strdup_printf( "POST %s HTTP/1.0\r\n"
-	                     "Host: %s\r\n"
-	                     "Content-Type: application/x-www-form-urlencoded\r\n"
-	                     "Content-Length: %zd\r\n"
-	                     "\r\n"
-	                     "%s", url_p.file, url_p.host, strlen( args_s ), args_s );
-	g_free( args_s );
-	
-	cb_data = g_new0( struct oauth2_access_token_data, 1 );
+	args_s = oauth_params_string(args);
+	oauth_params_free(&args);
+
+	s = g_strdup_printf("POST %s HTTP/1.0\r\n"
+	                    "Host: %s\r\n"
+	                    "Content-Type: application/x-www-form-urlencoded\r\n"
+	                    "Content-Length: %zd\r\n"
+	                    "\r\n"
+	                    "%s", url_p.file, url_p.host, strlen(args_s), args_s);
+	g_free(args_s);
+
+	cb_data = g_new0(struct oauth2_access_token_data, 1);
 	cb_data->func = func;
 	cb_data->data = data;
-	
-	req = http_dorequest( url_p.host, url_p.port, url_p.proto == PROTO_HTTPS,
-	                      s, oauth2_access_token_done, cb_data );
-	
-	g_free( s );
-	
-	if( req == NULL )
-		g_free( cb_data );
-	
+
+	req = http_dorequest(url_p.host, url_p.port, url_p.proto == PROTO_HTTPS,
+	                     s, oauth2_access_token_done, cb_data);
+
+	g_free(s);
+
+	if (req == NULL) {
+		g_free(cb_data);
+	}
+
 	return req != NULL;
 }
 
-static char* oauth2_parse_error( json_value *e )
+static char* oauth2_parse_error(json_value *e)
 {
 	/* This does a reasonable job with some of the flavours of error
 	   responses I've seen. Because apparently it's not standardised. */
-	
-	if( e->type == json_object )
-	{
+
+	if (e->type == json_object) {
 		/* Facebook style */
-		const char *msg = json_o_str( e, "message" );
-		const char *type = json_o_str( e, "type" );
-		json_value *code_o = json_o_get( e, "code" );
+		const char *msg = json_o_str(e, "message");
+		const char *type = json_o_str(e, "type");
+		json_value *code_o = json_o_get(e, "code");
 		int code = 0;
-		
-		if( code_o && code_o->type == json_integer )
+
+		if (code_o && code_o->type == json_integer) {
 			code = code_o->u.integer;
-		
-		return g_strdup_printf( "Error %d: %s", code, msg ? msg : type ? type : "Unknown error" );
-	}
-	else if( e->type == json_string )
-	{
-		return g_strdup( e->u.string.ptr );
+		}
+
+		return g_strdup_printf("Error %d: %s", code, msg ? msg : type ? type : "Unknown error");
+	} else if (e->type == json_string) {
+		return g_strdup(e->u.string.ptr);
 	}
 	return NULL;
 }
 
-static void oauth2_access_token_done( struct http_request *req )
+static void oauth2_access_token_done(struct http_request *req)
 {
 	struct oauth2_access_token_data *cb_data = req->data;
 	char *atoken = NULL, *rtoken = NULL, *error = NULL;
 	char *content_type;
-	
-	if( getenv( "BITLBEE_DEBUG" ) && req->reply_body )
-		printf( "%s\n", req->reply_body );
-	
-	content_type = get_rfc822_header( req->reply_headers, "Content-Type", 0 );
-	
-	if( content_type && ( strstr( content_type, "application/json" ) ||
-	                      strstr( content_type, "text/javascript" ) ) )
-	{
-		json_value *js = json_parse( req->reply_body, req->body_size );
-		if( js && js->type == json_object )
-		{
-			JSON_O_FOREACH( js, k, v )
-			{
-				if( strcmp( k, "error" ) == 0 )
-					error = oauth2_parse_error( v );
-				if( v->type != json_string )
+
+	if (getenv("BITLBEE_DEBUG") && req->reply_body) {
+		printf("%s\n", req->reply_body);
+	}
+
+	content_type = get_rfc822_header(req->reply_headers, "Content-Type", 0);
+
+	if (content_type && (strstr(content_type, "application/json") ||
+	                     strstr(content_type, "text/javascript"))) {
+		json_value *js = json_parse(req->reply_body, req->body_size);
+		if (js && js->type == json_object) {
+			JSON_O_FOREACH(js, k, v){
+				if (strcmp(k, "error") == 0) {
+					error = oauth2_parse_error(v);
+				}
+				if (v->type != json_string) {
 					continue;
-				if( strcmp( k, "access_token" ) == 0 )
-					atoken = g_strdup( v->u.string.ptr );
-				if( strcmp( k, "refresh_token" ) == 0 )
-					rtoken = g_strdup( v->u.string.ptr );
+				}
+				if (strcmp(k, "access_token") == 0) {
+					atoken = g_strdup(v->u.string.ptr);
+				}
+				if (strcmp(k, "refresh_token") == 0) {
+					rtoken = g_strdup(v->u.string.ptr);
+				}
 			}
 		}
-		json_value_free( js );
-	}
-	else
-	{
+		json_value_free(js);
+	} else {
 		/* Facebook use their own odd format here, seems to be URL-encoded. */
 		GSList *p_in = NULL;
-		
-		oauth_params_parse( &p_in, req->reply_body );
-		atoken = g_strdup( oauth_params_get( &p_in, "access_token" ) );
-		rtoken = g_strdup( oauth_params_get( &p_in, "refresh_token" ) );
-		oauth_params_free( &p_in );
+
+		oauth_params_parse(&p_in, req->reply_body);
+		atoken = g_strdup(oauth_params_get(&p_in, "access_token"));
+		rtoken = g_strdup(oauth_params_get(&p_in, "refresh_token"));
+		oauth_params_free(&p_in);
 	}
-	if( getenv( "BITLBEE_DEBUG" ) )
-		printf( "Extracted atoken=%s rtoken=%s\n", atoken, rtoken );
-	if( !atoken && !rtoken && !error )
-		error = g_strdup( "Unusable response" );
-	
-	cb_data->func( cb_data->data, atoken, rtoken, error );
-	g_free( content_type );
-	g_free( atoken );
-	g_free( rtoken );
-	g_free( error );
-	g_free( cb_data );
+	if (getenv("BITLBEE_DEBUG")) {
+		printf("Extracted atoken=%s rtoken=%s\n", atoken, rtoken);
+	}
+	if (!atoken && !rtoken && !error) {
+		error = g_strdup("Unusable response");
+	}
+
+	cb_data->func(cb_data->data, atoken, rtoken, error);
+	g_free(content_type);
+	g_free(atoken);
+	g_free(rtoken);
+	g_free(error);
+	g_free(cb_data);
 }
Index: lib/oauth2.h
===================================================================
--- lib/oauth2.h	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/oauth2.h	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -25,9 +25,8 @@
    module, and from http://code.google.com/apis/accounts/docs/OAuth2.html . */
 
-typedef void (*oauth2_token_callback)( gpointer data, const char *atoken,
-                                       const char *rtoken, const char *error );
+typedef void (*oauth2_token_callback)(gpointer data, const char *atoken,
+                                      const char *rtoken, const char *error);
 
-struct oauth2_service
-{
+struct oauth2_service {
 	char *auth_url;
 	char *token_url;
@@ -43,9 +42,9 @@
 /* Generate a URL the user should open in his/her browser to get an
    authorization code. */
-char *oauth2_url( const struct oauth2_service *sp );
+char *oauth2_url(const struct oauth2_service *sp);
 
 /* Exchanges an auth code or refresh token for an access token.
    auth_type is one of the two OAUTH2_AUTH_.. constants above. */
-int oauth2_access_token( const struct oauth2_service *sp,
-                         const char *auth_type, const char *auth,
-                         oauth2_token_callback func, gpointer data );
+int oauth2_access_token(const struct oauth2_service *sp,
+                        const char *auth_type, const char *auth,
+                        oauth2_token_callback func, gpointer data);
Index: lib/proxy.c
===================================================================
--- lib/proxy.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/proxy.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -68,6 +68,7 @@
 	socklen_t len;
 	int error = ETIMEDOUT;
+
 	len = sizeof(error);
-	
+
 	if (getsockopt(source, SOL_SOCKET, SO_ERROR, &error, &len) < 0 || error) {
 		if ((phb->gai_cur = phb->gai_cur->ai_next)) {
@@ -87,7 +88,7 @@
 		b_event_remove(phb->inpa);
 		phb->inpa = 0;
-		if( phb->proxy_func )
+		if (phb->proxy_func) {
 			phb->proxy_func(phb->proxy_data, -1, B_EV_IO_READ);
-		else {
+		} else {
 			phb->func(phb->data, -1, B_EV_IO_READ);
 			g_free(phb);
@@ -99,11 +100,11 @@
 	b_event_remove(phb->inpa);
 	phb->inpa = 0;
-	if( phb->proxy_func )
+	if (phb->proxy_func) {
 		phb->proxy_func(phb->proxy_data, source, B_EV_IO_READ);
-	else {
+	} else {
 		phb->func(phb->data, source, B_EV_IO_READ);
 		g_free(phb);
 	}
-	
+
 	return FALSE;
 }
@@ -113,28 +114,27 @@
 	struct sockaddr_in me;
 	int fd = -1;
-	
-	if (phb->gai_cur == NULL)
-	{
+
+	if (phb->gai_cur == NULL) {
 		int ret;
 		char port[6];
 		struct addrinfo hints;
-	
+
 		g_snprintf(port, sizeof(port), "%d", port_);
-	
+
 		memset(&hints, 0, sizeof(struct addrinfo));
 		hints.ai_family = AF_UNSPEC;
 		hints.ai_socktype = SOCK_STREAM;
 		hints.ai_flags = AI_ADDRCONFIG | AI_NUMERICSERV;
-	
-		if (!(ret = getaddrinfo(host, port, &hints, &phb->gai)))
+
+		if (!(ret = getaddrinfo(host, port, &hints, &phb->gai))) {
 			phb->gai_cur = phb->gai;
-		else
+		} else {
 			event_debug("gai(): %s\n", gai_strerror(ret));
-	}
-	
-	for (; phb->gai_cur; phb->gai_cur = phb->gai_cur->ai_next)
-	{
+		}
+	}
+
+	for (; phb->gai_cur; phb->gai_cur = phb->gai_cur->ai_next) {
 		if ((fd = socket(phb->gai_cur->ai_family, phb->gai_cur->ai_socktype, phb->gai_cur->ai_protocol)) < 0) {
-			event_debug( "socket failed: %d\n", errno);
+			event_debug("socket failed: %d\n", errno);
 			continue;
 		}
@@ -142,18 +142,18 @@
 		sock_make_nonblocking(fd);
 
-		if (global.conf->iface_out)
-		{
+		if (global.conf->iface_out) {
 			me.sin_family = AF_INET;
 			me.sin_port = 0;
-			me.sin_addr.s_addr = inet_addr( global.conf->iface_out );
-				
-			if (bind(fd, (struct sockaddr *) &me, sizeof(me)) != 0)
+			me.sin_addr.s_addr = inet_addr(global.conf->iface_out);
+
+			if (bind(fd, (struct sockaddr *) &me, sizeof(me)) != 0) {
 				event_debug("bind( %d, \"%s\" ) failure\n", fd, global.conf->iface_out);
+			}
 		}
 
 		event_debug("proxy_connect_none( \"%s\", %d ) = %d\n", host, port_, fd);
-	
+
 		if (connect(fd, phb->gai_cur->ai_addr, phb->gai_cur->ai_addrlen) < 0 && !sockerr_again()) {
-			event_debug( "connect failed: %s\n", strerror(errno));
+			event_debug("connect failed: %s\n", strerror(errno));
 			closesocket(fd);
 			fd = -1;
@@ -162,11 +162,12 @@
 			phb->inpa = b_input_add(fd, B_EV_IO_WRITE, gaim_io_connected, phb);
 			phb->fd = fd;
-			
+
 			break;
 		}
 	}
-	
-	if(fd < 0 && host)
-		g_free(phb);
+
+	if (fd < 0 && host) {
+		g_free(phb);
+	}
 
 	return fd;
@@ -188,9 +189,10 @@
 	b_event_remove(phb->inpa);
 
-	while ((pos < sizeof(inputline)-1) && (nlc != 2) && (read(source, &inputline[pos++], 1) == 1)) {
-		if (inputline[pos - 1] == '\n')
+	while ((pos < sizeof(inputline) - 1) && (nlc != 2) && (read(source, &inputline[pos++], 1) == 1)) {
+		if (inputline[pos - 1] == '\n') {
 			nlc++;
-		else if (inputline[pos - 1] != '\r')
+		} else if (inputline[pos - 1] != '\r') {
 			nlc = 0;
+		}
 	}
 	inputline[pos] = '\0';
@@ -208,5 +210,5 @@
 	g_free(phb->host);
 	g_free(phb);
-	
+
 	return FALSE;
 }
@@ -218,6 +220,8 @@
 	socklen_t len;
 	int error = ETIMEDOUT;
-	if (phb->inpa > 0)
+
+	if (phb->inpa > 0) {
 		b_event_remove(phb->inpa);
+	}
 	len = sizeof(error);
 	if (getsockopt(source, SOL_SOCKET, SO_ERROR, &error, &len) < 0) {
@@ -231,5 +235,5 @@
 
 	g_snprintf(cmd, sizeof(cmd), "CONNECT %s:%d HTTP/1.1\r\nHost: %s:%d\r\n", phb->host, phb->port,
-		   phb->host, phb->port);
+	           phb->host, phb->port);
 	if (send(source, cmd, strlen(cmd), 0) < 0) {
 		close(source);
@@ -266,5 +270,5 @@
 
 	phb->inpa = b_input_add(source, B_EV_IO_READ, http_canread, phb);
-	
+
 	return FALSE;
 }
@@ -276,6 +280,6 @@
 	phb->proxy_func = http_canwrite;
 	phb->proxy_data = phb;
-	
-	return( proxy_connect_none( proxyhost, proxyport, phb ) );
+
+	return(proxy_connect_none(proxyhost, proxyport, phb));
 }
 
@@ -302,5 +306,5 @@
 	g_free(phb->host);
 	g_free(phb);
-	
+
 	return FALSE;
 }
@@ -313,6 +317,8 @@
 	socklen_t len;
 	int error = ETIMEDOUT;
-	if (phb->inpa > 0)
+
+	if (phb->inpa > 0) {
 		b_event_remove(phb->inpa);
+	}
 	len = sizeof(error);
 	if (getsockopt(source, SOL_SOCKET, SO_ERROR, &error, &len) < 0) {
@@ -338,8 +344,8 @@
 	packet[2] = phb->port >> 8;
 	packet[3] = phb->port & 0xff;
-	packet[4] = (unsigned char)(hp->h_addr_list[0])[0];
-	packet[5] = (unsigned char)(hp->h_addr_list[0])[1];
-	packet[6] = (unsigned char)(hp->h_addr_list[0])[2];
-	packet[7] = (unsigned char)(hp->h_addr_list[0])[3];
+	packet[4] = (unsigned char) (hp->h_addr_list[0])[0];
+	packet[5] = (unsigned char) (hp->h_addr_list[0])[1];
+	packet[6] = (unsigned char) (hp->h_addr_list[0])[2];
+	packet[7] = (unsigned char) (hp->h_addr_list[0])[3];
 	packet[8] = 0;
 	if (write(source, packet, 9) != 9) {
@@ -352,5 +358,5 @@
 
 	phb->inpa = b_input_add(source, B_EV_IO_READ, s4_canread, phb);
-	
+
 	return FALSE;
 }
@@ -362,6 +368,6 @@
 	phb->proxy_func = s4_canwrite;
 	phb->proxy_data = phb;
-	
-	return( proxy_connect_none( proxyhost, proxyport, phb ) );
+
+	return(proxy_connect_none(proxyhost, proxyport, phb));
 }
 
@@ -394,5 +400,5 @@
 	g_free(phb->host);
 	g_free(phb);
-	
+
 	return FALSE;
 }
@@ -403,9 +409,9 @@
 	struct PHB *phb = data;
 	int hlen = strlen(phb->host);
-	
+
 	buf[0] = 0x05;
-	buf[1] = 0x01;		/* CONNECT */
-	buf[2] = 0x00;		/* reserved */
-	buf[3] = 0x03;		/* address type -- host name */
+	buf[1] = 0x01;          /* CONNECT */
+	buf[2] = 0x00;          /* reserved */
+	buf[3] = 0x03;          /* address type -- host name */
 	buf[4] = hlen;
 	memcpy(buf + 5, phb->host, hlen);
@@ -448,5 +454,5 @@
 
 	s5_sendconnect(phb, source);
-	
+
 	return FALSE;
 }
@@ -477,5 +483,5 @@
 	if (buf[1] == 0x02) {
 		unsigned int i = strlen(proxyuser), j = strlen(proxypass);
-		buf[0] = 0x01;	/* version 1 */
+		buf[0] = 0x01;  /* version 1 */
 		buf[1] = i;
 		memcpy(buf + 2, proxyuser, i);
@@ -494,5 +500,5 @@
 		s5_sendconnect(phb, source);
 	}
-	
+
 	return FALSE;
 }
@@ -505,6 +511,8 @@
 	socklen_t len;
 	int error = ETIMEDOUT;
-	if (phb->inpa > 0)
+
+	if (phb->inpa > 0) {
 		b_event_remove(phb->inpa);
+	}
 	len = sizeof(error);
 	if (getsockopt(source, SOL_SOCKET, SO_ERROR, &error, &len) < 0) {
@@ -518,9 +526,9 @@
 
 	i = 0;
-	buf[0] = 0x05;		/* SOCKS version 5 */
+	buf[0] = 0x05;          /* SOCKS version 5 */
 	if (proxyuser[0]) {
-		buf[1] = 0x02;	/* two methods */
-		buf[2] = 0x00;	/* no authentication */
-		buf[3] = 0x02;	/* username/password authentication */
+		buf[1] = 0x02;  /* two methods */
+		buf[2] = 0x00;  /* no authentication */
+		buf[3] = 0x02;  /* username/password authentication */
 		i = 4;
 	} else {
@@ -539,5 +547,5 @@
 
 	phb->inpa = b_input_add(source, B_EV_IO_READ, s5_canread, phb);
-	
+
 	return FALSE;
 }
@@ -549,6 +557,6 @@
 	phb->proxy_func = s5_canwrite;
 	phb->proxy_data = phb;
-	
-	return( proxy_connect_none( proxyhost, proxyport, phb ) );
+
+	return(proxy_connect_none(proxyhost, proxyport, phb));
 }
 
@@ -559,22 +567,23 @@
 {
 	struct PHB *phb;
-	
+
 	if (!host || port <= 0 || !func || strlen(host) > 128) {
 		return -1;
 	}
-	
+
 	phb = g_new0(struct PHB, 1);
 	phb->func = func;
 	phb->data = data;
-	
-	if (proxytype == PROXY_NONE || !proxyhost[0] || proxyport <= 0)
+
+	if (proxytype == PROXY_NONE || !proxyhost[0] || proxyport <= 0) {
 		return proxy_connect_none(host, port, phb);
-	else if (proxytype == PROXY_HTTP)
+	} else if (proxytype == PROXY_HTTP) {
 		return proxy_connect_http(host, port, phb);
-	else if (proxytype == PROXY_SOCKS4)
+	} else if (proxytype == PROXY_SOCKS4) {
 		return proxy_connect_socks4(host, port, phb);
-	else if (proxytype == PROXY_SOCKS5)
+	} else if (proxytype == PROXY_SOCKS5) {
 		return proxy_connect_socks5(host, port, phb);
-	
+	}
+
 	g_free(phb);
 	return -1;
Index: lib/sha1.c
===================================================================
--- lib/sha1.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/sha1.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -17,4 +17,5 @@
 {
 	gsize digest_len = SHA1_HASH_SIZE;
+
 	g_checksum_get_digest(*ctx, digest, &digest_len);
 	g_checksum_free(*ctx);
@@ -28,41 +29,42 @@
 	sha1_state_t sha1;
 	guint8 hash[SHA1_HASH_SIZE];
-	guint8 key[HMAC_BLOCK_SIZE+1];
+	guint8 key[HMAC_BLOCK_SIZE + 1];
 	int i;
-	
-	if( key_len == 0 )
-		key_len = strlen( key_ );
-	if( payload_len == 0 )
-		payload_len = strlen( payload );
-	
+
+	if (key_len == 0) {
+		key_len = strlen(key_);
+	}
+	if (payload_len == 0) {
+		payload_len = strlen(payload);
+	}
+
 	/* Create K. If our current key is >64 chars we have to hash it,
 	   otherwise just pad. */
-	memset( key, 0, HMAC_BLOCK_SIZE + 1 );
-	if( key_len > HMAC_BLOCK_SIZE )
-	{
-		sha1_init( &sha1 );
-		sha1_append( &sha1, (guint8*) key_, key_len );
-		sha1_finish( &sha1, key );
+	memset(key, 0, HMAC_BLOCK_SIZE + 1);
+	if (key_len > HMAC_BLOCK_SIZE) {
+		sha1_init(&sha1);
+		sha1_append(&sha1, (guint8 *) key_, key_len);
+		sha1_finish(&sha1, key);
+	} else {
+		memcpy(key, key_, key_len);
 	}
-	else
-	{
-		memcpy( key, key_, key_len );
+
+	/* Inner part: H(K XOR 0x36, text) */
+	sha1_init(&sha1);
+	for (i = 0; i < HMAC_BLOCK_SIZE; i++) {
+		key[i] ^= 0x36;
 	}
-	
-	/* Inner part: H(K XOR 0x36, text) */
-	sha1_init( &sha1 );
-	for( i = 0; i < HMAC_BLOCK_SIZE; i ++ )
-		key[i] ^= 0x36;
-	sha1_append( &sha1, key, HMAC_BLOCK_SIZE );
-	sha1_append( &sha1, (const guint8*) payload, payload_len );
-	sha1_finish( &sha1, hash );
-	
+	sha1_append(&sha1, key, HMAC_BLOCK_SIZE);
+	sha1_append(&sha1, (const guint8 *) payload, payload_len);
+	sha1_finish(&sha1, hash);
+
 	/* Final result: H(K XOR 0x5C, inner stuff) */
-	sha1_init( &sha1 );
-	for( i = 0; i < HMAC_BLOCK_SIZE; i ++ )
+	sha1_init(&sha1);
+	for (i = 0; i < HMAC_BLOCK_SIZE; i++) {
 		key[i] ^= 0x36 ^ 0x5c;
-	sha1_append( &sha1, key, HMAC_BLOCK_SIZE );
-	sha1_append( &sha1, hash, SHA1_HASH_SIZE );
-	sha1_finish( &sha1, digest );
+	}
+	sha1_append(&sha1, key, HMAC_BLOCK_SIZE);
+	sha1_append(&sha1, hash, SHA1_HASH_SIZE);
+	sha1_finish(&sha1, digest);
 }
 
@@ -71,27 +73,29 @@
    My random data comes from a SHA1 generator but hey, it's random enough for
    me, and RFC 4122 looks way more complicated than I need this to be.
-   
+
    Returns a value that must be free()d. */
-char *sha1_random_uuid( sha1_state_t * context )
+char *sha1_random_uuid(sha1_state_t * context)
 {
 	guint8 dig[SHA1_HASH_SIZE];
-	char *ret = g_new0( char, 40 ); /* 36 chars + \0 */
+	char *ret = g_new0(char, 40);   /* 36 chars + \0 */
 	int i, p;
-	
+
 	sha1_finish(context, dig);
-	for( p = i = 0; i < 16; i ++ )
-	{
-		if( i == 4 || i == 6 || i == 8 || i == 10 )
+	for (p = i = 0; i < 16; i++) {
+		if (i == 4 || i == 6 || i == 8 || i == 10) {
 			ret[p++] = '-';
-		if( i == 6 )
-			dig[i] = ( dig[i] & 0x0f ) | 0x40;
-		if( i == 8 )
-			dig[i] = ( dig[i] & 0x30 ) | 0x80;
-		
-		sprintf( ret + p, "%02x", dig[i] );
+		}
+		if (i == 6) {
+			dig[i] = (dig[i] & 0x0f) | 0x40;
+		}
+		if (i == 8) {
+			dig[i] = (dig[i] & 0x30) | 0x80;
+		}
+
+		sprintf(ret + p, "%02x", dig[i]);
 		p += 2;
 	}
 	ret[p] = '\0';
-	
+
 	return ret;
 }
Index: lib/ssl_client.h
===================================================================
--- lib/ssl_client.h	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/ssl_client.h	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -1,3 +1,3 @@
-  /********************************************************************\
+/********************************************************************\
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
@@ -57,37 +57,37 @@
 
 /* Perform any global initialization the SSL library might need. */
-G_MODULE_EXPORT void ssl_init( void );
+G_MODULE_EXPORT void ssl_init(void);
 
 /* Connect to host:port, call the given function when the connection is
    ready to be used for SSL traffic. This is all done asynchronously, no
    blocking I/O! (Except for the DNS lookups, for now...) */
-G_MODULE_EXPORT void *ssl_connect( char *host, int port, gboolean verify, ssl_input_function func, gpointer data );
+G_MODULE_EXPORT void *ssl_connect(char *host, int port, gboolean verify, ssl_input_function func, gpointer data);
 
 /* Start an SSL session on an existing fd. Useful for STARTTLS functionality,
    for example in Jabber. */
-G_MODULE_EXPORT void *ssl_starttls( int fd, char *hostname, gboolean verify, ssl_input_function func, gpointer data );
+G_MODULE_EXPORT void *ssl_starttls(int fd, char *hostname, gboolean verify, ssl_input_function func, gpointer data);
 
 /* Obviously you need special read/write functions to read data. */
-G_MODULE_EXPORT int ssl_read( void *conn, char *buf, int len );
-G_MODULE_EXPORT int ssl_write( void *conn, const char *buf, int len );
+G_MODULE_EXPORT int ssl_read(void *conn, char *buf, int len);
+G_MODULE_EXPORT int ssl_write(void *conn, const char *buf, int len);
 
 /* Now needed by most SSL libs. See for more info:
    http://www.gnu.org/software/gnutls/manual/gnutls.html#index-gnutls_005frecord_005fcheck_005fpending-209
    http://www.openssl.org/docs/ssl/SSL_pending.html
-   
+
    Required because OpenSSL empties the TCP buffer completely but doesn't
    necessarily give us all the unencrypted data. Or maybe you didn't ask
    for all of it because your buffer is too small.
-   
+
    Returns 0 if there's nothing left, 1 if there's more data. */
-G_MODULE_EXPORT int ssl_pending( void *conn );
+G_MODULE_EXPORT int ssl_pending(void *conn);
 
 /* Abort the SSL connection and disconnect the socket. Do not use close()
    directly, both the SSL library and the peer will be unhappy! */
-G_MODULE_EXPORT void ssl_disconnect( void *conn_ );
+G_MODULE_EXPORT void ssl_disconnect(void *conn_);
 
 /* Get the fd for this connection, you will usually need it for event
    handling. */
-G_MODULE_EXPORT int ssl_getfd( void *conn );
+G_MODULE_EXPORT int ssl_getfd(void *conn);
 
 /* This function returns B_EV_IO_READ/WRITE. With SSL connections it's
@@ -97,9 +97,10 @@
    adding an event handler to the queue. (And it should perform exactly
    the same action as the handler that just received the SSL_AGAIN.) */
-G_MODULE_EXPORT b_input_condition ssl_getdirection( void *conn );
+G_MODULE_EXPORT b_input_condition ssl_getdirection(void *conn);
 
 /* Converts a verification bitfield passed to ssl_input_function into
    a more useful string. Or NULL if it had no useful bits set. */
-G_MODULE_EXPORT char *ssl_verify_strerror( int code );
+G_MODULE_EXPORT char *ssl_verify_strerror(int code);
 
-G_MODULE_EXPORT size_t ssl_des3_encrypt(const unsigned char *key, size_t key_len, const unsigned char *input, size_t input_len, const unsigned char *iv, unsigned char **res);
+G_MODULE_EXPORT size_t ssl_des3_encrypt(const unsigned char *key, size_t key_len, const unsigned char *input,
+                                        size_t input_len, const unsigned char *iv, unsigned char **res);
